Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/plan-sites

Get Site Details for Your Plan

This API retrieves all site details associated with a specific plan, including:

  • Unique identifiers for each site
  • Supported countries where the plan is available
  • Site URLs for access and management
Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Request

Request
curl -X GET 'https://api.synup.com/api/v4/plan-sites' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successfully retrieved site details for the plan
401Unauthorized. API key is missing or invalid.
500Internal server error.
Example response
{
  "data": {
    "planSites": [
      {
        "hideAddressSupportedCountries": [],
        "id": 224,
        "name": "Thumbtack",
        "supportedCountries": [
          "US"
        ],
        "url": "thumbtack.com"
      },
      {
        "hideAddressSupportedCountries": [
          "FR",
          "DE",
          "NL",
          "IE",
          "US",
          "CA",
          "AU",
          "NZ",
          "ES",
          "GB"
        ],
        "id": 2,
        "name": "Yelp",
        "supportedCountries": [
          "FR",
          "DE",
          "NL",
          "IE",
          "US",
          "CA",
          "AU",
          "NZ",
          "ES",
          "BE",
          "GB",
          "IT",
          "CH",
          "SE",
          "PL",
          "AT"
        ],
        "url": "yelp.com"
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.planSitesarray of objectrequiredList of sites associated with the plan
data.planSites[].idintegerrequiredUnique identifier for the site
data.planSites[].namestringrequiredName of the site
data.planSites[].urlstringrequiredURL of the site
data.planSites[].supportedCountriesarray of stringrequiredISO codes of countries where the site is supported
data.planSites[].hideAddressSupportedCountriesarray of stringrequiredCountries where Service Area Business (SAB) is supported